Language.C.Analysis.SemRep

# Sums of tags and identifiers

data TagDef

typeOfTagDef

class Declaration n

declIdent

declName

declType

declAttrs

data IdentDecl

objKindDescr

splitIdentDecls

# Global definitions

data GlobalDecls

emptyGlobalDecls

filterGlobalDecls

mergeGlobalDecls

# Events for visitors

data DeclEvent

# Declarations and definitions

data Decl

data ObjDef

isTentative

data FunDef

data ParamDecl

data MemberDecl

data TypeDef

identOfTypeDef

data VarDecl

# Declaration attributes

data DeclAttrs

isExtDecl

data Storage

declStorage

type ThreadLocal

type Register

data Linkage

# Types

data Type

data FunType

isFunctionType

derefTypeDef

referencedType

hasTypeOfExpr

data ArraySize

data TypeDefRef

data TypeName

data BuiltinType

data IntType

data FloatType

class HasSUERef a

class HasCompTyKind a

data CompTypeRef

data CompType

typeOfCompDef

data CompTyKind

data EnumTypeRef

data EnumType

typeOfEnumDef

data Enumerator

data TypeQuals

noTypeQuals

mergeTypeQuals

# Variable names

data VarName

identOfVarName

type AsmName

# Attributes (STUB, not yet analyzed)

data Attr

type Attributes

# Statements and Expressions (STUB, aliases to Syntax)

type Stmt

type Expr

type Initializer

type AsmBlock